
//////////////////////////////////////////////////////////////
//
// Source file for StatWindowMainWindow
//
//    This class is a ViewKit VkSimpleWindow subclass
//
//
// Normally, very little in this file should need to be changed.
// Create/add/modify menus using the builder.
//
// Try to restrict any changes to the bodies of functions
// corresponding to menu items, the constructor and destructor.
//
// Restrict changes to those sections between
// the "//--- Start/End editable code block" markers
//
// Doing so will allow you to make changes using the builder
// without losing any changes you may have made manually
//
// Avoid gratuitous reformatting and other changes that might
// make it difficult to integrate changes made using the builder
//////////////////////////////////////////////////////////////
#include "StatWindowMainWindow.h"

#include <stdio.h>

#include <Vk/VkApp.h>
#include <Vk/VkFileSelectionDialog.h>
#include <Vk/VkSubMenu.h>
#include <Vk/VkRadioSubMenu.h>
#include <Vk/VkMenuItem.h>
#include "StatForm.h"
//---- Start editable code block: headers and declarations


//---- End editable code block: headers and declarations



// These are default resources for widgets in objects of this class
// All resources will be prepended by *<name> at instantiation,
// where <name> is the name of the specific instance, as well as the
// name of the baseWidget. These are only defaults, and may be overriden
// in a resource file by providing a more specific resource name

String  StatWindowMainWindow::_defaultStatWindowMainWindowResources[] = {
        "*title:  Statistics",
        (char*)NULL
};


//---- Class declaration

StatWindowMainWindow::StatWindowMainWindow( const char *name,
                                            ArgList args,
                                            Cardinal argCount) : 
                                      VkSimpleWindow (name, args, argCount) 
{
    // Load any class-default resources for this object

    setDefaultResources(baseWidget(), _defaultStatWindowMainWindowResources  );


    // Create the view component contained by this window

    _statForm= new StatForm("statForm",mainWindowWidget());


    XtVaSetValues ( _statForm->baseWidget(),
                    XmNwidth, 583, 
                    XmNheight, 310, 
                    (XtPointer) NULL );

    // Add the component as the main view

    addView (_statForm);
    _statForm->setParent(this);

    // Set up the window manager properties for this window.
    // This window is a coprimary window, as defined by the SGI Style Guide

     VkConfigureWM ( this,
                    FALSE,   //quit
                    FALSE,  // close
                    TRUE,   // border 
                    TRUE,   // title 
                    FALSE,   // allow resize
                    TRUE,   // allow iconify
                    TRUE);  // Show window manager menu

    //---- Start editable code block: StatWindowMainWindow constructor


    //---- End editable code block: StatWindowMainWindow constructor


} // End Constructor


StatWindowMainWindow::~StatWindowMainWindow()
{
    delete _statForm;
    //---- Start editable code block: StatWindowMainWindow destructor


    //---- End editable code block: StatWindowMainWindow destructor
} // End destructor


const char *StatWindowMainWindow::className()
{
    return ("StatWindowMainWindow");
} // End className()


Boolean StatWindowMainWindow::okToQuit()
{    //---- Start editable code block: StatWindowMainWindow okToQuit



    // This member function is called when the user quits by calling
    // theApplication->terminate() or uses the window manager close protocol
    // This function can abort the operation by returning FALSE, or do some.
    // cleanup before returning TRUE. The actual decision is normally passed on
    // to the view object


    // Query the view object, and give it a chance to cleanup

    return ( _statForm->okToQuit() );

    //---- End editable code block: StatWindowMainWindow okToQuit
} // End okToQuit()


//---- Start editable code block: End of generated code

void StatWindowMainWindow::handleWmDeleteMessage()
{
  printf("Hidding stat window\n");
  this->hide();
}

StatForm *StatWindowMainWindow::getStatForm()
{
  return _statForm;
}
//---- End editable code block: End of generated code


